GET
/v1/organizations/:organizationId/people/
Copy to clipboard
Get list of people paginated
Required Permission: base.people.management.list
Get list of people paginated
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
page
integer
optional
limit
integer
optional
sort
string
optional
email
string
optional
scope
string
optional
role
any
optional
applicationId
string
optional
tags
array
optional
origin
string
optional
Responses
200 Response
application/json
status
boolean
required
data
object
required
items
array [object]
required
id
string
required
email
string
required
firstName
string
required
lastName
string
required
picture
string
optional
kind
any
required
role
string
optional
has2FAActive
boolean
optional
ssoUser
boolean
optional
activityTrace
object
optional
lastLogin
object
optional
dashboard
string
optional
sdk
string
optional
store
string
optional
lastAction
object
optional
dashboard
string
optional
sdk
string
optional
store
string
optional
entries
array [object]
required
id
string
required
createdBy
string
required
kind
string
required
scope
string
required
role
string
optional
tags
array
required
application
object
optional
id
string
required
name
string
required
description
string
required
picture
string
required
slug
string
required
type
string
optional
from
string
optional
temporal
boolean
optional
lastDetected
string
optional
detected
object
optional
createdAt
string
required
createdAt
string
required
updatedAt
string
required
totalDocs
integer
required
limit
integer
required
hasPrevPage
boolean
required
hasNextPage
boolean
required
page
integer
required
totalPages
integer
required
prevPage
integer
required
nextPage
integer
required
{
"status": true,
"data": {
"items": [
{
"id": "string",
"email": "[email protected]",
"firstName": "string",
"lastName": "string",
"picture": "string",
"kind": "employee",
"role": "admin",
"has2FAActive": true,
"ssoUser": true,
"activityTrace": {
"lastLogin": {
"dashboard": "string",
"sdk": "string",
"store": "string"
},
"lastAction": {
"dashboard": "string",
"sdk": "string",
"store": "string"
}
},
"entries": [
{
"id": "string",
"createdBy": "string",
"kind": "employee",
"scope": "organization",
"role": "owner",
"tags": [
"string"
],
"application": {
"id": "string",
"name": "string",
"description": "string",
"picture": "string",
"slug": "string"
},
"type": "traditional",
"from": "store",
"temporal": true,
"lastDetected": "string",
"detected": {},
"createdAt": "string"
}
],
"createdAt": "string",
"updatedAt": "string"
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}